#ifndef _WINC_AREADIR
#define _WINC_AREADIR

namespace WXP {
   struct AreaDir {
      unsigned int status;      /*  0 */
      unsigned int type;        /*  1 */
      unsigned int satid;       /*  2 */
      unsigned int ndate;       /*  3 - YYDDD */
      unsigned int ntime;       /*  4 - HHMMSS */
      int lcor;                 /*  5 */
      int ecor;                 /*  6 */
      int zcor;                 /*  7 */
      unsigned int lsiz;        /*  8 */
      unsigned int esiz;        /*  9 */
      unsigned int zsiz;        /* 10 */
      unsigned int lres;        /* 11 */
      unsigned int eres;        /* 12 */
      unsigned int bands;       /* 13 */
      unsigned int yzprefix;    /* 14 */
      unsigned int projnum;     /* 15 */
      unsigned int cdate;       /* 16 */
      unsigned int ctime;       /* 17 */
      unsigned int filtmap;     /* 18 */
      unsigned int imageid;     /* 19 */
      unsigned int resvid[4];   /* 20 */
      char comments[32];        /* 24 */
      unsigned int calkey;      /* 32 */
      unsigned int navkey;      /* 33 */
      unsigned int navkey2;     /* 34 */
      unsigned int lprefix;     /* 35 */
      unsigned int pdl[8];      /* 36 */
      unsigned int band8;       /* 44 */
      unsigned int idate;       /* 45 */
      unsigned int itime;       /* 46 */
      unsigned int startscan;   /* 47 */
      unsigned int doclen;      /* 48 */
      unsigned int callen;      /* 49 */
      unsigned int levlen;      /* 50 */
      char stype[4];            /* 51 */
      char ctype[4];            /* 52 */
      unsigned int reserved[11];/* 53 */

      AreaDir();
      int init();
      int print();
   };
}
#endif

