#ifndef _WINC_CITYTOOL
#define _WINC_CITYTOOL

#include <WXP/CityData.h>
#include <WXP/EarthPoint.h>
#include <WXP/String.h>
#include <WXP/Strings.h>

namespace WXP {
   class CityTool {
      public:
	 static int getFilename( const char *file, String &filename );
	 static int search( const char *file, const char *id, CityData &data );
	 static int locate( const char *file, const char *id, EarthPoint &ept );
	 static int compareData( Strings &ids, CityData &data );
	 static int toId( const char *wmo, char *id );
	 static int toWmo( const char *id, char *wmo );
   };
}

#endif
