#ifndef _WINC_COLORBAR
#define _WINC_COLORBAR

#include <WXP/ColorFill.h>
#include <WXP/Enhance.h>
#include <WXP/Range.h>

namespace WXP {
   struct ColorBar {
      int type;
      ColorFill fill;
      Enhance enh;
      int orient;
      Range range;
      char loc[10];
      
      ColorBar();
      int init();
      int setParam( const char *str );
      int setLocate( const char *str );
      int setFill( ColorFill &rfill );
      int setEnhance( Enhance &renh );
      int setRange( Range &rrange );
      int print();

      enum Type {
	 FILL,
	 ENHANCE
      };
   };
}
#endif
