#ifndef _WINC_DOMAINTOOL 
#define _WINC_DOMAINTOOL

#include <WXP/Domain.h>
#include <WXP/DomainVal.h>
#include <WXP/Strings.h>

namespace WXP {
   class DomainTool {
      static int setParam( DomainVal &val, const char *param, const char *field );
      static int setParams( DomainVal &val, Strings &params, const char *fmt );
      public:
      static int proj( const char *proj );
      static int decode( DomainVal &val, const char *str );
      static int decode( Domain &domain, const char *str );
      static int set( Domain &domain, const char *def );
      static int set( Domain &domain );
   };
}
#endif
