#ifndef _WINC_FILEATTR
#define _WINC_FILEATTR

namespace WXP {
   /** \struct FileAttr FileAttr.h "../include/FileAttr.h"
    *  \brief This defines some basic file attributes
    *
    *  \author Dan Vietor
    *  \ingroup Base
    */
   struct FileAttr {
      static const int READ = 0;       /**< Read access */
      static const int WRITE = 1;      /**< Write access */
      static const int APPEND = 2;     /**< Append access */
   };
}
#endif
