#ifndef _WINC_GFONT
#define _WINC_GFONT

#include <WXP/Point.h>

namespace WXP {
   class GFont {
      char name[100];
      int type;          /* The font type */
      int x[7500];       /* Text font database */
      int y[7500];
      int width[256];    /* Text font character width */
      int index[256];    /* Index into text font database */
      int height;
      int ch;
      bool opened;

      public:
      GFont();
      GFont( const char *filename );
      int init();
      int destroy();
      int read( const char *filename );
      int getWidth( char ch );
      int setChar( char ch );
      int get( Point &pt );
      int getInd( const char *str );
      int print();
   };
}
#endif
