#ifndef _WINC_GRIBPDB
#define _WINC_GRIBPDB

#include <WXP/DateVal.h>
#include <WXP/ForeTime.h>
#include <WXP/Level.h>
#include <WXP/Variable.h>

namespace WXP {
   struct GribPDB {
      int version;
      int param_ver;
      int source;
      int subcenter;
      int model;
      int grid_type;
      DateVal dv;
      ForeTime fore;
      Level level;
      Variable var;
      int for_num;
      int sect_flag;
      /* Used for esembles */
      int ens;
      int ens_type;
      int ens_id;
      int ens_prod;
      int ens_smooth;
      
      GribPDB();
      int init();
      int decode( const unsigned char *buf, int size );
      int print();
   };
  
} 
#endif
