#ifndef _WINC_HELICITYDATA
#define _WINC_HELICITYDATA

namespace WXP {
   class HelicityData {
      int status;
      float dir_shr;
      float pos_hel;
      float neg_hel;
      float tot_hel;
      float ave_hel;
      float rel_hel;
      float hor_vort;
      float stm_vort;

      public:
      HelicityData();
      int init();
      inline int getStatus(){ return status; };
      inline float getDirShear(){ return dir_shr; };
      inline float getPosHelicity(){ return pos_hel; };
      inline float getNegHelicity(){ return neg_hel; };
      inline float getTotHelicity(){ return tot_hel; };
      inline float getAveHelicity(){ return ave_hel; };
      inline float getRelHelicity(){ return rel_hel; };
      inline float getHorVorticity(){ return hor_vort; };
      inline float getStmVorticity(){ return stm_vort; };

      friend class UpaCalc;
      friend class UpaTool;
      friend class WindParams;
   };
}
#endif

