#ifndef _WINC_HURFORE
#define _WINC_HURFORE

#include <WXP/HurData.h>

namespace WXP {
   struct HurFore {
      char wmo[20];
      HurPos adv;
      HurPos fore[10];
      int nfore;

      HurFore();
      int init();
      inline const char *getName(){ return adv.name; };
      inline int getLoc(){ return adv.locate; };
      inline const char *getLocString(){ return HurPos::getLoc(adv.locate); };
      inline int getYear(){ return adv.date.getYear(); };
      int print();
      int printTable();
   };
}
#endif
