#ifndef _WINC_MDRDOMAIN
#define _WINC_MDRDOMAIN

#include <WXP/Domain.h>
#include <WXP/DomainVal.h>
#include <WXP/EarthPoint.h>
#include <WXP/GridPoint.h>

namespace WXP {
   class MdrDomain {
      Domain domain;
      GridPoint sgpt;
   
      public:
      MdrDomain();
      int init();
      DomainVal get();
      int setSite( float rlat, float rlon );
      int tranSite( float x, float y, EarthPoint &ept );
      int tranSite( float x, float y, GridPoint &gpt );
      inline int tran( EarthPoint &ept, Point &pt ){ return domain.tran( ept, pt ); };
      inline int tran( EarthPoint &ept, GridPoint &gpt ){ return domain.tran( ept, gpt ); };
      inline int tran( GridPoint &gpt, Point &pt ){ return domain.tran( gpt, pt ); };
      inline int tran( GridPoint &gpt, EarthPoint &ept ){ return domain.tran( gpt, ept ); };
      int print();
   };
}   
#endif
