#ifndef _WINC_MENU
#define _WINC_MENU

#include <WXP/MenuItem.h>
#include <WXP/String.h>

namespace WXP {
   class Menu {
      MenuItem *items;
      int *index;
      int num;
      int shown;
      int main_menu;
      int exit_menu;
      int help_menu;
      int min_item;
      char title[50];
   
      public:
      Menu();
      Menu( const char *title, MenuItem *menu, int flag );
      int init();
      int set( const char *title, MenuItem *menu, int flag );
      int display();
      int prompt( const char *prompt, String &str );
      int search( const char *item );
      const char *getAbbr( int index );
      int check( int index );
      /*
         menu types
      */
      static const int EXIT  = 1;
      static const int MAIN  = 2;
      static const int HELP  = 4;
   };
}   
#endif
