#ifndef _WINC_MENUITEM
#define _WINC_MENUITEM

namespace WXP {
   /** \struct MenuItem Menu.h "../include/Menu.h"
    *  \brief This struct defines menu item parameters
    *
    *  \author Dan Vietor
    *  \ingroup Utility
    */
   struct MenuItem {
      const char *name;       /**< Full name of item */
      const char *abbr;       /**< Abbreviation of item */
      int disp;               /**< Flag whether items is displayed or not */
   };
}
#endif

