#ifndef _WINC_RCMDECODE
#define _WINC_RCMDECODE

#include <WXP/Date.h>
#include <WXP/DateRange.h>
#include <WXP/Filename.h>
#include <WXP/Image.h>
#include <WXP/RcmFile.h>
#include <WXP/RcmHash.h>
#include <WXP/RcmImage.h>

namespace WXP {
   class RcmDecode {
      Date date;
      DateRange drange;
      Filename infile;
      Filename outfile;
      RcmHash hash;
      RcmImage rimg;
      Image image;
      int filter;
      int winter;
      int fhour;
   
      public:
      RcmDecode();
      int init();
      int setParam( const char *str );
      int setInput( const char *conv );
      int setOutput( const char *conv );
      int setDate( Date &rdate );
      int decode( Date &date );
      int decode( const char *filename );
      int filterOverlap( RcmData &data );
      int setup();
      int decode();
   };
}   
#endif
