#ifndef _WINC_REDBOOKTEXT
#define _WINC_REDBOOKTEXT

#include <WXP/Point.h>

namespace WXP {
   /** \struct WXP::RedbookText RedbookText.h "../include/RedbookText.h"
    *  \brief This struct stores Redbook text data
    *
    *  \author Dan Vietor
    *  \ingroup Data
    */
   struct RedbookText {
      Point pt;
      int dx, dy;
      int block, rev, code, size;
      char str[300];
      int len;
   };
}
#endif

