#ifndef _WINC_RESRCDBITEM
#define _WINC_RESRCDBITEM

namespace WXP {
   struct ResrcDBItem {
      const char *name;         /**< Resource name */
      const char *env;          /**< Environment variable shortcut */
      const char *cmdln;        /**< Command line key shortcut */
      const char *help;         /**< Resource help string */
      ResrcDBItem *next;

      ResrcDBItem( const char *rname, const char *renv, const char *rcmdln, const char *rhelp );
   };
}
#endif
