#ifndef _WINC_SAOTOOL
#define _WINC_SAOTOOL

#include <WXP/Const.h>
#include <WXP/Convert.h>
#include <WXP/SfcData.h>
#include <WXP/SfcWmoData.h>

namespace WXP {
   class SaoTool {
      public:
      static int decode( SfcWmoData &data, SfcData &sfcdata);
      static int decode( char *data, SfcData &sfcdata);

      static inline float decodeSlp( float f1 ){ 
	 return f1>500?f1/10+900:(f1>=0?f1/10+1000:Const::MISS); }
      static inline float decodeAlt( float f1 ){ 
	 return f1>500?f1/100+20:(f1>=0?f1/100+30:Const::MISS); }
      static inline float decodeAltmb( float f1 ){ 
	 return Convert::MBtoIN(f1>500?f1/100+20:(f1>=0?f1/100+30:Const::MISS)); }
   };
}
#endif
