#ifndef _WINC_SHAPEFILE
#define _WINC_SHAPEFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/ShapeData.h>
#include <WXP/Swap.h>

namespace WXP {
   class ShapeFile {
      File file;
      Swap swap;
      int access;
      char name[100];
      int type;
      bool opened;

      int cnt;
      int seg;
      int len;
      int npart;
      int part;
      int num;
      int parts[5000];
      int index;
   
      public:
      ShapeFile();
      ShapeFile( const char *filename );
      ShapeFile( const char *filename, int raccess );
      ~ShapeFile();
      bool isOpen();
      int open( const char *filename );
      int open( const char *filename, int raccess );
      int close();
      int read( ShapeData &data );
      int write( ShapeData &data );

      static int checkType( const char *filename );
   };
}   
#endif
