#ifndef _WINC_SYMBOL
#define _WINC_SYMBOL

#include <WXP/Point.h>

namespace WXP {
   class Symbol {
      char name[200][15];
      int index[200];    /* Index into text font database */
      float x[5000];       /* Text font database */
      float y[5000];
      int num;
      int symb;
   
      public:
      Symbol();
      Symbol( const char *filename );
      ~Symbol();
      int init( const char *filename );
      int read( const char *file );
      int setSymb( const char *str );
      int get( Point &pt );

      static const int END = 0;
      static const int CONT = 1;
      static const int LINE = 2;
      static const int FILL = 3;
   };
}
#endif
