#ifndef _WINC_SYNOPTOOL
#define _WINC_SYNOPTOOL

#include <WXP/SfcData.h>
#include <WXP/SfcWmoData.h>

namespace WXP {
   class SynopTool {
      public:
      static int decode( SfcWmoData &data, SfcData &sfcdata);
      static int decode( char *data, SfcData &sfcdata);
      static float ceiling( int cb );
      static float visibility( int vis );
      static int toCeilingCode( float cb );

      static int weather( int wx, char *wx_str );
      static int autoweather( int wx, char *wx_str );

      enum RepType { 
	 UNK, 
	 LAND, 
	 SHIP, 
	 BUOY, 
	 DRIBU, 
	 MOBIL, 
	 CMAN, 
	 MISC 
      };

      enum {
	 KNT,
	 MPS
      };
   };
}
#endif
