#ifndef _WINC_TOOLS
#define _WINC_TOOLS

#include <WXP/String.h>

namespace WXP {
   class Tools {
      public:
	 static int swap( float f1, float f2 );
	 static bool isInt( const char *str );
	 static bool isFloat( const char *str );
         static int printClean( const unsigned char *line, int size );
         static int printControl( const unsigned char *line, int size );
         static int dumpHex( const unsigned char *buf, int size );
	 static int toString( float val, String &str );
	 static int toString( float val, int sig, String &str );
	 static int toInt( float x );
         static float calcInterval( float max, float min, int num );
   };
}
#endif
