#ifndef _WINC_UPADATATOOL
#define _WINC_UPADATATOOL

#include <WXP/Datum.h>
#include <WXP/UpaData.h>
#include <WXP/VarSpec.h>

namespace WXP {
   class UpaDataTool {
      public:
      static int getLower( UpaData &data, Level &level, VCoord &low );
      static int getUpper( UpaData &data, Level &level, VCoord &up );
      static int compute( UpaData &data, VarSpec &spec, Datum &raw );
      static const char *getUnits( const char *name );
   };
}
#endif
