#ifndef _WINC_UPADECODE
#define _WINC_UPADECODE

#include <WXP/Date.h>
#include <WXP/DateRange.h>
#include <WXP/Filename.h>
#include <WXP/UpaFile.h>
#include <WXP/UpaRawinHash.h>

namespace WXP {
   class UpaDecode {
      int ver;
      int app;
      Date date;
      DateRange drange;
      Filename infile;
      Filename outfile;
      UpaFile ufile;
      UpaRawinHash uhash;
   
      public:
      UpaDecode();
      int init();
      int setParam( const char *str );
      int setInput( const char *conv );
      int setOutput( const char *conv );
      int setHour( const char *str );
      int setDate( Date &rdate );
      int decode( Date &date );
      int decode( const char *filename );
      int decode();

   };
}   
#endif
