#ifndef _WINC_UPARAWINHASH
#define _WINC_UPARAWINHASH

#include <WXP/Hash.h>
#include <WXP/UpaRawinData.h>

namespace WXP {
   class UpaRawinHash {
      Hash hash;
      
      public:
      UpaRawinHash();
      UpaRawinHash( const char *file );
      ~UpaRawinHash();
      int init();
      int setup( const char *file );
      int get( const char *id, UpaRawinData &data );
      int put( const char *id, UpaRawinData &data );
      int first();
      int next( UpaRawinData &data );
      inline int print(){ return hash.print(); };
      inline int printHash(){ return hash.printHash(); };
   };
}   
#endif
