#ifndef _WINC_VARNAME
#define _WINC_VARNAME

#include <WXP/String.h>
#include <WXP/VarNameItem.h>
#include <WXP/Variable.h>

namespace WXP {
   class VarName {
      VarNameItem vname[40];
      int cur_num;
      
      public:
      static const int max_vname = 40;

      VarName();
      int init();
      int get( int rind, String &str );
      int get( int rind, Variable &var );
      int get( const char *str, Variable &var );
      int get( Variable &var );
      int get( const char *str, VarNameItem &var );
      int get( int rind, VarNameItem &var );
      const char *get( int rind );
      const char *getAbbr( int rind );
      int get( const char *str );
      int searchFile( int rind, const char *str );
   
      static VarNameItem searchFile( const char *var );
      static int makeLabel( const char *var, const char *units, String &fullname );
   };
}
#endif
