#ifndef _WINC_WXTOOL
#define _WINC_WXTOOL

#include <WXP/CloudLayer.h>
#include <WXP/String.h>

namespace WXP {
   class WxTool {
      public:
      static int setCloud( int num, CloudLayer lyrs[], CloudLayer &cld );
      static float getWmoVis( int vis );
      static float getWmoCldBase( int cb );
      static int getSAWeather( const char *wx, String &wx_str );
      static int getWeather( const char *wx, String &wx_str );
      static int getTextFromWeather( const char *wx, String &wx_str );
      static const char *getWmoWeather( int wx );
      static const char *getWmoAutoWeather( int wx );
      static int getWmoFromWeather( const char *str );
      static int getWmoFromSAWeather( const char *str );
      static int getTextFromSAWeather( const char *str, String &out_str );
      static int getWmoCeilingToCode( float cb );
      static float decodeDir( const char *dir );
      static const char *getCloudStr( const char *str );
   };
}
#endif
