#ifndef _WINC_WXPRESRC
#define _WINC_WXPRESRC

#include <WXP/ResrcDBList.h>

namespace WXP {
   class WxpResrc {
      public:
      static int add( ResrcDBList &list, int type );
   
      /** Resource list */
      enum Resources { 
	 background,    /**< Background color on plot */
	 calibration,   /**< Calibration curve for satellite images */
	 city_file,
	 color_clabel,
	 color_cont,
	 color_data,
	 color_fgrid,
	 color_fill,
	 color_flabel,
	 color_fmap,
	 color_grid,
	 color_label,
	 color_latlon,
	 color_map,
	 color_parcel,
	 color_table,
	 con_base,
	 con_path,
	 con_interval,
	 current,
	 data_path,
	 device,
	 draw,
	 file_path,
	 filename,
	 font_list,
	 format,
	 geometry,
	 grid_domain,
	 grid_path,
	 grid_num,
	 grid_type,
	 help,
	 hour,
	 icon,
	 identifier,
	 image_path,
	 in_file,
	 input,
	 inverse,
	 label,
	 level,
	 log_file,
	 logo,
	 map_file,
	 message,
	 model,
	 model_path,
	 name_conv,
	 num_hour,
	 object_param,
	 out_file,
	 output,
	 parameter,
	 plot_domain,
	 plot_range,
	 plot_scale,
	 plot_type,
	 product,
	 prod_file,
	 raw_path,
	 sat_path,
	 stat_prior,
	 text_path,
	 time,
	 timezone,
	 title,
	 type,
	 variable,
	 var_file,
         // Resource groups
	 BASE,
	 PATH,
	 FILE,
	 CURRENT,
	 CITY,
	 IO,
	 GRID,
	 DOMAIN,
	 DATABASE,
	 PLOT,
	 COLOR,
	 COLOR_CONT,
	 IDENT,
	 OBJECT,
	 CONT,
	 DEVICE,
      };
   };
}
#endif
