#ifndef _WINC_CONST
#define _WINC_CONST

namespace WXP {
   class Const {
      public:
      static const int MISS;      /**< WXP missing data value */

      static const float PI;      /**< Pi */
      static const float EARTH;   /**< Earth radius in 100s km */
      static const float TWO_PI;  /**< Two Pi */
      static const float DRC;     /**< Degrees to radians conversion */
      static const float RDC;     /**< Radians to degrees conversion */
      static const float R;       /**< Gas constant */
      static const float G;       /**< Acceleration due to gravity */
      static const float CP;      /**< Specific heat at constant pressure */
      static const float CV;      /**< Specific heat at constant volume */
   };

}
#endif
