#ifndef _WINC_DATERANGE
#define _WINC_DATERANGE

#include <WXP/Date.h>

namespace WXP {
   class DateRange {
      int secs;
      int pre;
      int post;
      
      public:
      DateRange();
      DateRange( Date &rdate, int rpre, int rpost );
      int set( Date &rdate, int rpre, int rpost );
      int set( int rpre, int rpost );
      int set( Date &rdate );
      int init();
      bool valid( Date &date );
      bool valid( int secs );
      int print();
   };
}
#endif
