#ifndef _WINC_GRIDPIECE
#define _WINC_GRIDPIECE

#include <WXP/Domain.h>
#include <WXP/Grid.h>

namespace WXP {
   class GridPiece {
      int nx, ny;
      Domain domain;
      
      public:
      int getDomain( Grid &grid, int rnx, int rny, int rx, int ry, Domain &dom );
      int set( Grid &grid, int rnx, int rny, Grid &igrid, int rx, int ry );
      int set( Grid &grid, int rnx, int rny, Grid &igrid );
      int add( Grid &grid, int x, int y, Grid &igrid );
   };
}
#endif
