#ifndef _WINC_GRIDSOUND
#define _WINC_GRIDSOUND

#include <WXP/EarthPoint.h>
#include <WXP/Filename.h>
#include <WXP/UpaData.h>

namespace WXP {
   class GridSound {
      float dp;  
      char pname[10];

      public:
      GridSound();
      GridSound( const char *str );
      int init();
      int setParam( const char *str );
      int get( Filename &filename, int hour, EarthPoint &ept, UpaData &data );
      int print();

   };
}
#endif
