#ifndef _WINC_HURDATA
#define _WINC_HURDATA

#include <WXP/Date.h>
#include <WXP/HurPos.h>

namespace WXP {
   class HurData {
      char wmo[20];
      char name[20];
      HurPos cur;
      int num_fore;
      HurPos fore[8];

      public:
      HurData();
      int init();
      inline const char *getName(){ return name; };
      inline int getLocation(){ return cur.locate; };
      inline Date getDate(){ return cur.date; };
      inline int getDate( Date &rdate ){ rdate = cur.date; return 1; };
      inline int getSeason(){ return cur.getSeason(); };
      int print();

      friend class HurFile;
      friend class HurStorm;
      friend class HurStorms;

   };

}
#endif
