#ifndef _WINC_HURWXPFILE
#define _WINC_HURWXPFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/HurStorm.h>

namespace WXP {
   class HurWxpFile {
      File file;
      int access;
      Date date;
      int location;

      public:
      HurWxpFile();
      int init();
      int open( const char *file, int raccess );
      int close();
      inline bool isOpen(){ return file.isOpen(); };
      inline int setDate( Date &rdate ){ date = rdate; return 1; };
      inline int setLocation( int rloc ){ location = rloc; return 1; };
      int read( HurStorm &storm );
      int read( const char *filename, HurStorm &storm );
      int write( HurStorm &storm );
      int write( const char *filename, HurStorm &storm );

   };
}
#endif
