#ifndef _WINC_KAVRADPACKET
#define _WINC_KAVRADPACKET

namespace WXP {
   /** \struct WXP::KavradPacket KavradPacket.h "../include/KavradPacket.h"
    *  \brief This struct stores run length encoding data for Kavouras mosaics
    *
    *  \author Dan Vietor
    *  \ingroup Utility
    */
   struct KavradPacket {
      int run;      /**< Number of pixels in run */
      int val;      /**< Dbz index value */
   };
}
#endif

