#ifndef _WINC_LEV2DATA
#define _WINC_LEV2DATA

namespace WXP {
   struct Lev2Data {
      char id[5];
      float lat;
      float lon;
      int elev;
      int code;
      int type;
      int seq;
      int date;
      int time;
      int num_seg;
      int seg_num;
      int coll_time;
      int mod_date;
      float range;
      float rad_az;
      int rad_num;
      int rad_status;
      int rad_len;
      float az_space;
      int comp;
      float elev_ang;
      int elev_num;
      int rad_blank;
      int az_index;
      int blk_count;
      float first_refl;
      float first_vel;
      float refl_size;
      float vel_size;
      int num_refl;
      int num_vel;
      int sector_num;
      int refl_ptr;
      int vel_ptr;
      int spect_ptr;
      int vol_ptr;
      int elev_ptr;
      int rad_ptr;
      float vel_res;
      int cov_patt;
      float nyquist_vel;
      float atmos_atten;
      float threshold_param;

      Lev2Data();
      int init();
      int print();
   };
   
}
#endif

