#ifndef _WINC_LEV2INFO
#define _WINC_LEV2INFO

#include <WXP/Date.h>

namespace WXP {
   class Lev2Info {
      char id[10];	/** Station ID */
      float lat;	/** Latitude of site */
      float lon;	/** Longitude of site */
      Date date;	/** */

      public:
      /** Returns identifier */
      inline const char *getId(){ return id; }; 
      /** Returns latitude */
      inline float getLat(){ return lat; }; 
      /** Returns longitude */
      inline float getLon(){ return lon; }; 
      /** Returns date */
      inline Date getDate(){ return date; }; 
      int print();

      friend class Lev2File;
   };
}
#endif
