#ifndef _WINC_NIDSRADIAL
#define _WINC_NIDSRADIAL

namespace WXP {
   /** \struct NidsRadial NidsRadial.h "../include/NidsRadial.h"
    *  \brief This struct stores NIDS radial block header information
    *
    *  \author Dan Vietor
    *  \ingroup Data
    */
   struct NidsRadial {
      float ang0;	/**< Start angle */
      float ang1;	/**< End angle */

      /** Prints object data */
      inline int print(){ printf( "Rad: %.1f %.1f\n", ang0, ang1 ); return 1; };
   };
   
}
#endif
