#ifndef _WINC_PROFDATA
#define _WINC_PROFDATA

#include <WXP/EarthPoint.h>

namespace WXP {
   class ProfData {
      char id[10];
      int wmo;
      EarthPoint loc;
      float elev;
      float pres,temp,dewp,dir,spd,rain;
      struct {
	 float h;
	 float u,v,w;
	 float hdev,vdev;
	 int q;     
      } lev[100];
      int num_levels;

      public:
      ProfData();
      int init();
      int print();

      friend class ProfFile;
   };
}   
#endif
