#ifndef _WINC_PROG
#define _WINC_PROG

#include <WXP/ResrcDBList.h>
#include <WXP/String.h>

namespace WXP {
   class Prog {                /* Coordinate data structure */
      public:
      static int readResrcFile( const char *prog, const char *name, 
	    const char *tag, const char *file );
      static int readResrcFile( const char *prog, const char *file );
      static int readResrcFile( const char *prog );
      static int readResrcFile();
      static int printProg( int level, const char *string );
      static int printProg( const char *string );
      static int printHelp( ResrcDBList &res_key, ResrcDBList &res_pos, 
	          const char *descript );

      static int setCommand( const char *string );
      static int prompt( const char *prompt, char *str, int len );
      static int prompt( const char *prompt, String &str );
      static String prompt( const char *prompt );
   };
}
#endif
