#ifndef _WINC_RCMHASH
#define _WINC_RCMHASH

#include <WXP/Hash.h>
#include <WXP/RcmData.h>

namespace WXP {
   class RcmHash {
      Hash hash;
      
      public:
      RcmHash();
      ~RcmHash();
      int init();
      int get( const char *id, RcmData &data );
      int put( const char *id, RcmData &data );
      int first();
      int next( RcmData &data );
      int clearTopsLoc( const char *id );
      int clearTVSLoc( const char *id, int ind );
      int clearMesoLoc( const char *id, int ind );
      int clearStormLoc( const char *id, int ind );
      int print();
   };
}   
#endif
