#ifndef _WINC_REDBOOKPACKET
#define _WINC_REDBOOKPACKET

#include <WXP/Point.h>

namespace WXP {
   /** \struct WXP::RedbookPacket RedbookPacket.h "../include/RedbookPacket.h"
    *  \brief This struct stores Redbook packet data
    *
    *  \author Dan Vietor
    *  \ingroup Data
    */
   struct RedbookPacket {
      unsigned char *ptr;
      int len;
      int maj, min;
      int cnt;
      Point pt;
   };
}
#endif

