#ifndef _WINC_SCANP
#define _WINC_SCANP

namespace WXP {
   class Scanp {
      const char *str;
      int str_len;           /* Length of string */
      int off;              /* Offset into string */
      int len;              /* Number of characters matched */
      int tot_assign;       /* Total assigned */
      int match;            /* Total matched */
      bool finish;          /* Completed the string parsing */
      
      public:
      int init();
      int scan( const char *pat, ... );
      int set( const char *str );
      int getOffset();
      int offset( int off );
      int inc( int off );
      int inc();
      const char *string();
      char getChar( int off );
      int search( const char *str );
      int print();
      inline int length() { return len; };
      inline int matched() { return match; };
      inline int assigned() { return tot_assign; };
      inline bool finished() { return finish; };
   };
}   
#endif
