#ifndef _WINC_SFCUNIFILE
#define _WINC_SFCUNIFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/SfcData.h>

namespace WXP {
   class SfcUniFile {
      int type;
      int ver;
      int access;
      File file;
      Date date;
      bool opened;
   
      public:
      SfcUniFile( );
      SfcUniFile( const char *filename );
      SfcUniFile( const char *filename, int access );
      ~SfcUniFile( );
      bool isOpen();
      int open( const char *filename, int access );
      int rewind( );
      int close( );
      int setDate( Date &rdate );
      int getDate( Date &rdate );
      int read( SfcData &data );
      int write( SfcData &data );
   
      static int checkType( const char *filename );
   };
}   
#endif
