#ifndef _WINC_SWAP
#define _WINC_SWAP

#include <WXP/File.h>

namespace WXP {
   class Swap {
      unsigned long swaptest; 
      int type;

      public:
      Swap( int flag );
      Swap();
      int init( int flag );
      int swap8( unsigned char *ptr );
      int swap4( unsigned char *ptr );
      int swap4( unsigned char *ptr, int num );
      int swap2( unsigned char *ptr );
      int swap2( unsigned char *ptr, int num );
      int readDouble( File &ifile, double &data );
      int readFloat( File &ifile, float &data );
      int readUInt4( File &ifile, unsigned int &data );
      int readInt4( File &ifile, int &data );
      int readUInt2( File &ifile, unsigned short &data );
      int readInt2( File &ifile, short &data );
      int writeFloat( File &ofile, float data );
      int writeInt4( File &ofile, int data );
      int writeInt2( File &ofile, short data );

      static const int NEVER = -1;
      static const int ALWAYS = 0;
      static const int DataStand = 1;
      static const int DataRev = 2;
      static const int BigEndian = 1;
      static const int LittleEndian = 2;
   };
}
#endif
