#ifndef _WINC_WINDPARAMS
#define _WINC_WINDPARAMS

#include <WXP/BrnData.h>
#include <WXP/HelicityData.h>
#include <WXP/ShearData.h>
#include <WXP/UpaData.h>
#include <WXP/UpaLevel.h>
#include <WXP/Wind.h>

namespace WXP {
   struct WindParams {
      Wind mean6;
      Wind storm;
      HelicityData helicity;
      ShearData shear;
      float Bplus;
      BrnData brn;
      float ehi;

      WindParams();
      int init();
      int set( UpaData &data, Wind &rstorm );
      int set( UpaData &data );
      int print();
      
   };
}
#endif

